#
#   Copyright © 2021,2022 IsardVDI S.L.
#
#   This file is part of DD
#
#   DD is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   DD is distributed in the hope that it will be useful, but WITHOUT ANY
#   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#   FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
#   details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with DD. If not, see <https://www.gnu.org/licenses/>.
#
# SPDX-License-Identifier: AGPL-3.0-or-later
mails:
  type: list
  schema: 
    user_id:
      type: string
      required: true
    name:
      type: string
      required: false
    email:
      type: string
      required: true
      regex: ^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+[.][a-zA-Z0-9-.]+$
    inbound_host:
      type: string
      required: true
    inbound_port:
      type: integer
      required: true
    inbound_ssl_mode:
      type: string
      default: ssl
    inbound_user:
      type: string
      required: true
    outbound_host:
      type: string
      required: true
    outbound_port:
      type: integer
      required: true
    outbound_ssl_mode:
      type: string
      default: ssl
    outbound_user:
      type: string
      required: true
